org.apache.sysds.parser.dml

## Enum CustomErrorListener.ParseIssueType

- java.lang.Object
- - java.lang.Enum<CustomErrorListener.ParseIssueType>
  - - org.apache.sysds.parser.dml.CustomErrorListener.ParseIssueType

All Implemented Interfaces:
  Serializable, Comparable<CustomErrorListener.ParseIssueType>

Enclosing class:
  CustomErrorListener

    public static enum CustomErrorListener.ParseIssueType
    extends Enum<CustomErrorListener.ParseIssueType>

Parse issues can be syntax errors, validation errors, and validation warnings. Include a string representation of each enum value for display to the user.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`SYNTAX_ERROR`
`VALIDATION_ERROR`
`VALIDATION_WARNING`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getText()` Obtain the user-friendly string representation of the enum value.
`static CustomErrorListener.ParseIssueType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CustomErrorListener.ParseIssueType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SYNTAX_ERROR

    public static final CustomErrorListener.ParseIssueType SYNTAX_ERROR

#### VALIDATION_ERROR

    public static final CustomErrorListener.ParseIssueType VALIDATION_ERROR

#### VALIDATION_WARNING

    public static final CustomErrorListener.ParseIssueType VALIDATION_WARNING

### Method Detail

#### values

    public static CustomErrorListener.ParseIssueType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CustomErrorListener.ParseIssueType c : CustomErrorListener.ParseIssueType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CustomErrorListener.ParseIssueType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getText

    public String getText()

Obtain the user-friendly string representation of the enum value.

Returns:
  User-friendly string representation of the enum value.